// Lê parâmetros informados pelo iTarefa via URL
function getParameterByName (name) {
	var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
  return match ? decodeURIComponent(match[1].replace(/\+/g, ' ')) : null;
}

// Array com parâmetros informados pelo iTarefa via URL
var iLMparameters = {
	iLM_PARAM_Authoring: getParameterByName("iLM_PARAM_Authoring"), // if defined, then is teacher, allow edit
  iLM_PARAM_ServerToGetAnswerURL: getParameterByName("iLM_PARAM_ServerToGetAnswerURL"),
  iLM_PARAM_SendAnswer: getParameterByName("iLM_PARAM_SendAnswer"),
  iLM_PARAM_AssignmentURL: getParameterByName("iLM_PARAM_AssignmentURL"),
  iLM_PARAM_Assignment: getParameterByName("iLM_PARAM_Assignment"),
  iLM_PARAM_TeacherAutoEval: getParameterByName("iLM_PARAM_TeacherAutoEval"),
  lang: getParameterByName("lang")
}

// Função chamada pelo iTarefa quando o professor finaliza a criação da atividade
// ou quando o aluno finaliza a resolução do exercício
function getAnswer () {
	// Se o parâmetro iLM_PARAM_SendAnswer for false, trata-se de resolução de atividade
	if (iLMparameters.iLM_PARAM_SendAnswer == 'false') {

		// TODO -> Retornar resposta do aluno
		const layer = stageManager.getCurrentLayer();
    	const file = layer.actionManager.save();
		return file;

	} else {
		return 0;
	}
}

// Função chamada pelo iTarefa para receber nota do aluno em atividade (0.0-1.0)
function getEvaluation () {
	if (iLMparameters.iLM_PARAM_SendAnswer == 'false') {
		// TODO
		var nota = 1.0

		// A chamada do método abaixo é obrigatória!
		parent.getEvaluationCallback(nota);
	}
}